Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::MappingCharFilter Class Reference

Simplistic `CharFilter` that applies the mappings contained in a `NormalizeCharMap` to the character stream, and correcting the resulting changes to the offsets. More...

`#include <MappingCharFilter.h>`

Inheritance diagram for Lucene::MappingCharFilter:

## Public Member Functions

| MappingCharFilter (const NormalizeCharMapPtr &normMap, const CharStreamPtr &in)
| Default constructor that takes a `CharStream`.
| MappingCharFilter (const NormalizeCharMapPtr &normMap, const ReaderPtr &in)
| Easy-use constructor that takes a `Reader`.
virtual | ~MappingCharFilter ()
virtual String | getClassName ()
boost::shared_ptr< MappingCharFilter > | shared_from_this ()
virtual int32_t | read ()
| Read a single character.
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array.
Public Member Functions inherited from Lucene::BaseCharFilter
| BaseCharFilter (const CharStreamPtr &in)
virtual | ~BaseCharFilter ()
boost::shared_ptr< BaseCharFilter > | shared_from_this ()
Public Member Functions inherited from Lucene::CharFilter
virtual | ~CharFilter ()
boost::shared_ptr< CharFilter > | shared_from_this ()
Public Member Functions inherited from Lucene::CharStream
virtual | ~CharStream ()
boost::shared_ptr< CharStream > | shared_from_this ()
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int64_t | skip (int64_t n)
| Skip characters.
virtual int64_t | length ()
| The number of bytes in the stream.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::BaseCharFilter
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::CharFilter
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::CharStream
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Member Functions

int32_t | nextChar ()
void | pushChar (int32_t c)
void | pushLastChar (int32_t c)
NormalizeCharMapPtr | match (const NormalizeCharMapPtr &map)
Protected Member Functions inherited from Lucene::BaseCharFilter
virtual int32_t | correct (int32_t currentOff)
| Retrieve the corrected offset.
int32_t | getLastCumulativeDiff ()
void | addOffCorrectMap (int32_t off, int32_t cumulativeDiff)
Protected Member Functions inherited from Lucene::CharFilter
| CharFilter (const CharStreamPtr &in)
virtual int32_t | correctOffset (int32_t currentOff)
| Chains the corrected offset through the input CharFilter.
virtual void | close ()
| Close the stream.
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation.
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.
virtual void | reset ()
| Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

NormalizeCharMapPtr | normMap
Collection< wchar_t > | buffer
String | replacement
int32_t | charPointer
int32_t | nextCharCounter
Protected Attributes inherited from Lucene::BaseCharFilter
IntArray | offsets
IntArray | diffs
int32_t | size
Protected Attributes inherited from Lucene::CharFilter
CharStreamPtr | input
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF

## Detailed Description

Simplistic `CharFilter` that applies the mappings contained in a `NormalizeCharMap` to the character stream, and correcting the resulting changes to the offsets.

## Constructor & Destructor Documentation

## ◆ MappingCharFilter() [1/2]

Lucene::MappingCharFilter::MappingCharFilter | ( | const NormalizeCharMapPtr & | normMap,
|  | const CharStreamPtr & | in )

Default constructor that takes a `CharStream`.

References normMap.

Referenced by _getClassName().

## ◆ MappingCharFilter() [2/2]

Lucene::MappingCharFilter::MappingCharFilter | ( | const NormalizeCharMapPtr & | normMap,
|  | const ReaderPtr & | in )

Easy-use constructor that takes a `Reader`.

References normMap.

## ◆ ~MappingCharFilter()

virtual Lucene::MappingCharFilter::~MappingCharFilter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::MappingCharFilter::_getClassName | ( |  | ) |

inline static

References MappingCharFilter().

## ◆ getClassName()

virtual String Lucene::MappingCharFilter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::BaseCharFilter.

## ◆ match()

NormalizeCharMapPtr Lucene::MappingCharFilter::match | ( | const NormalizeCharMapPtr & | map | ) |

protected

## ◆ nextChar()

int32_t Lucene::MappingCharFilter::nextChar | ( |  | ) |

protected

## ◆ pushChar()

void Lucene::MappingCharFilter::pushChar | ( | int32_t | c | ) |

protected

## ◆ pushLastChar()

void Lucene::MappingCharFilter::pushLastChar | ( | int32_t | c | ) |

protected

## ◆ read() [1/2]

virtual int32_t Lucene::MappingCharFilter::read | ( |  | ) |

virtual

Read a single character.

Reimplemented from Lucene::Reader.

## ◆ read() [2/2]

virtual int32_t Lucene::MappingCharFilter::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length )

virtual

Read characters into a portion of an array.

Reimplemented from Lucene::CharFilter.

References buffer, and Lucene::Reader::length().

## ◆ shared_from_this()

boost::shared_ptr< MappingCharFilter > Lucene::MappingCharFilter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ buffer

Collection<wchar_t> Lucene::MappingCharFilter::buffer

protected

Referenced by read().

## ◆ charPointer

int32_t Lucene::MappingCharFilter::charPointer

protected

## ◆ nextCharCounter

int32_t Lucene::MappingCharFilter::nextCharCounter

protected

## ◆ normMap

NormalizeCharMapPtr Lucene::MappingCharFilter::normMap

protected

Referenced by MappingCharFilter(), and MappingCharFilter().

## ◆ replacement

String Lucene::MappingCharFilter::replacement

protected

The documentation for this class was generated from the following file:

- MappingCharFilter.h

clucene.sourceforge.net